Subject: [bug#47237] [PATCH] gnu: metis: Use 64-bit floating pointer numbers on 64-bit architectures.

From: zimoun <[email-masked]>
Date: Thu, 18 Mar 2021 22:48:03 +0100

Hi,

On Thu, 18 Mar 2021 at 16:27, Emmanuel Agullo <[email-masked]> wrote:

> In numerical linear algebra in particular and hpc in
> general, the trend is more and more to use reduced 
> floating point arithmetic whenever possible (for memory 
> footprint, communication volume and possibly computational 
> time). I have no experience with using floating point 
> numbers in partitioners such as metis. But I strongly 

[...]

> choice. Something like mypackage_i32_r64 (if there
> is a general convention (beyond guix) to follow,
> even better). [It may even be great to use two versions
> of the same package to facilitate mixed arithmetic, 
> but we can certainly pospone that discussion as it
> would certainly open two many issues for now].

I am probably out-of-scope, and it does probably not make sense for
partitioners as Metis, how are considered mixed precision solvers?
i.e., computing some part using 64 bits floating points and other part
using 32 bits.  (My memory is not clear but I remember reading couple of
weeks ago an acceleration with 3 levels of float-pointing precision.)

In the i32_r64 example of convention, what should be considered as rXY?
The final accuracy, whatever the internals?

Are these mixed precision solvers used and in the trend?

Well, I do not know if these questions make sense.

Cheers,
simon